File fragment services 3 matching interfaces
Create a file fragment createFileChunk
POST /FileChunkService/createFileChunk
Definition file service_file_chunk.proto
Available roles Administrator Original definition Request message Response message Original definition Copy coderpc createFileChunk ( CreateFileChunkRequest ) returns ( CreateFileChunkResponse );
Request message CreateFileChunkRequestCreate a file fragment
Request message · Field definitions Copy codemessage CreateFileChunkRequest {
int64 fileId = 1 ;
bytes data = 2 ;
}
Response message CreateFileChunkResponse Response message · Field definitions Copy codemessage CreateFileChunkResponse {
int64 fileChunkId = 1 ;
}